Imagick::extentImage
Imagick::flattenImages
Imagick
PHP Manual

# Imagick::filter

(No version information available, might only be in Git)

Imagick::filter — Description

### Description

public void Imagick::filter ( ImagickKernel `$ImagickKernel` [, int `$CHANNEL` = Imagick::CHANNEL_DEFAULT ] )

Applies a custom convolution kernel to the image.

### Parameters

`ImagickKernel`

  An instance of ImagickKernel that represents either a single kernel or a linked series of kernels.

`CHANNEL`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channel constants using bitwise operators. Defaults to `Imagick::CHANNEL_DEFAULT`. Refer to this list of channel constants

### Return Values

### Examples

Example #1 Imagick::filter()

`<?php
function filter($imagePath) {
$imagick = new \Imagick(realpath($imagePath));
$matrix = [
[-1, 0, -1],
[0, 5, 0],
[-1, 0, -1],
];
$kernel = \ImagickKernel::fromMatrix($matrix);
$strength = 0.5;
$kernel->scale($strength, \Imagick::NORMALIZE_KERNEL_VALUE);
$kernel->addUnityKernel(1 - $strength);
$imagick->filter($kernel);
header("Content-Type: image/jpg");
echo $imagick->getImageBlob();
}
?>`

Imagick::extentImage
Imagick::flattenImages
Imagick
PHP Manual